ApiManagementV1WorkspacesWorkspaceidEvent types

Create an event type

POST
/management/v1/workspaces/{workspaceId}/event-types
AuthorizationBearer <token>

Management token (nhm_...)

In: header

Path Parameters

workspaceIdstring
namestring
description?string

Response Body

curl -X POST "https://loading/management/v1/workspaces/string/event-types" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "id": "string",
  "name": "string",
  "description": "string",
  "subscriberCount": 0,
  "createdAt": "2019-08-24T14:15:22Z"
}

{
  "error": {
    "code": "validation_error",
    "message": "Event type name must match pattern: ^[a-z0-9._-]+$"
  }
}

{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid authorization header"
  }
}

{
  "error": {
    "code": "token_disabled",
    "message": "Management token is disabled"
  }
}

{
  "error": {
    "code": "conflict",
    "message": "Event type with this name already exists"
  }
}